Subject: Re: [PATCH net-next 1/2] mlx4_en: Add PTP hardware clock

From: Hadar Hen Zion <[email-masked]>
Date: Thu, 26 Dec 2013 10:33:26 +0200

On 12/26/2013 10:26 AM, Hadar Hen Zion wrote:
> On 12/25/2013 1:53 PM, Richard Cochran wrote:
>> On Tue, Dec 24, 2013 at 03:58:06PM +0200, Hadar Hen Zion wrote:
>>>
>>> The spin locks case such a bottleneck since I'm using multiple
>>> streams in my performance test. RSS mechanism scattered the streams
>>> between multiple RX rings while each RX ring is bound to a different
>>> cup.
>>> The describe scenario cause lock contention between the different RX
>>> rings.
>>>
>>> Performance drops from 37.8 Gbits/sec to 32.1 Gbits/sec when spin
>>> locks are added and goes back to 37.8 Gbits/sec when using
>>> read/write locks.
>>
>> And you are time stamping every received packet?
>>
>> Thanks,
>> Richard
>>
>
> Yes, current implementation time stamping every received packet.
> I do think time stamping only packets from the relevant socket will make
> more sense but SIOCSHWTSTAMP ioctl provides only the device without any
> socket attributes.
>
> Thanks,
> Hadar
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Is there a way to time stamping packets per socket?

Thanks,
Hadar